Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414536 - Conflicting labels for hard links /usr/sbin/ldconfig and /usr/sbin/sln
Summary: Conflicting labels for hard links /usr/sbin/ldconfig and /usr/sbin/sln
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 19:06 UTC by Tim Landscheidt
Modified: 2018-05-29 11:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:24:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Tim Landscheidt 2017-01-18 19:06:16 UTC
Description of problem:

/usr/sbin/ldconfig and /usr/sbin/sln are hard links to the same file, but SELinux has conflicting labels for them.


Version-Release number of selected component (if applicable):

glibc-2.24-4.fc25.x86_64
selinux-policy-targeted-3.13.1-225.6.fc25.noarch


Steps to Reproduce:

| [tim@passepartout ~]$ ls -ilZ /usr/sbin/{ldconfig,sln}
| 923597 -rwxr-xr-x. 2 root root system_u:object_r:bin_t:s0 1092984 24. Dez 01:03 /usr/sbin/ldconfig
| 923597 -rwxr-xr-x. 2 root root system_u:object_r:bin_t:s0 1092984 24. Dez 01:03 /usr/sbin/sln
| [tim@passepartout ~]$ sudo restorecon -v /usr/sbin/{ldconfig,sln}
| restorecon reset /usr/sbin/ldconfig context system_u:object_r:bin_t:s0->system_u:object_r:ldconfig_exec_t:s0
| restorecon reset /usr/sbin/sln context system_u:object_r:ldconfig_exec_t:s0->system_u:object_r:bin_t:s0
| [tim@passepartout ~]$ ls -ilZ /usr/sbin/{ldconfig,sln}
| 923597 -rwxr-xr-x. 2 root root system_u:object_r:bin_t:s0 1092984 24. Dez 01:03 /usr/sbin/ldconfig
| 923597 -rwxr-xr-x. 2 root root system_u:object_r:bin_t:s0 1092984 24. Dez 01:03 /usr/sbin/sln
| [tim@passepartout ~]$

Comment 1 Fedora End Of Life 2017-11-16 19:00:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-03 08:09:59 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Tim Landscheidt 2018-05-18 23:09:14 UTC
This seems to have been fixed in Fedora 27:

| [tim@passepartout ~]$ ls -ilZ /usr/sbin/{ldconfig,sln}
| 925395 -rwxr-xr-x. 2 root root system_u:object_r:ldconfig_exec_t:s0 922536  2. Mär 12:05 /usr/sbin/ldconfig
| 925395 -rwxr-xr-x. 2 root root system_u:object_r:ldconfig_exec_t:s0 922536  2. Mär 12:05 /usr/sbin/sln
| [tim@passepartout ~]$ sudo restorecon -v /usr/sbin/{ldconfig,sln}
| [tim@passepartout ~]$

Comment 4 Fedora End Of Life 2018-05-29 11:24:07 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.